 /*
  * Unitex 
  *
  * Copyright (C) 2001-2002 Universit de Marne-la-Valle <unitex@univ-mlv.fr>
  *
  * This program is free software; you can redistribute it and/or
  * modify it under the terms of the GNU General Public License
  * as published by the Free Software Foundation; either version 2
  * of the License, or (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
  *
  */
import java.io.* ;

/*
 * This class provides a file filter definition
 *
 */

class PersonalFileFilter extends javax.swing.filechooser.FileFilter {
		
	public String ext;
	public String description;
	
	PersonalFileFilter(String ex,String descript) {
		super();
		ext=ex;
		description=descript;
	}
	
	
	public boolean accept(File f) {
		if (f.isDirectory()) {
			return true;
		}
		String s=getExtension(f);
		if (s!=null && (s.equals(ext))) return true;
		else return false;
   	}
		public String getDescription() {
		return description;
	}
	
	public static String getExtension(File f) {
		String ext=null;
		String s=f.getName();
		int i=s.lastIndexOf('.');
		if (i>0 && i<s.length()-1) {
			ext = s.substring(i+1).toLowerCase();
		}
		return ext;
	}
}
